# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

# Configures the endpoint
config :kstart, KstartWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "4IULIkqSHSDJTaZflsh+71NUW2fO0y21T+NuPCJlAGgUynguhy/TSpwZaCk5tx/z",
  render_errors: [view: KstartWeb.ErrorView, accepts: ~w(html json), layout: false],
  pubsub_server: Kstart.PubSub,
  live_view: [signing_salt: "QDRFjxe2"]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Do not include metadata nor timestamps in development logs
config :logger,
  backends: [
    :console,
    {LoggerFileBackend, :debug_log},
    {LoggerFileBackend, :info_log},
    {LoggerFileBackend, :error_log}
  ],
  truncate: :infinity,
  format: "$time [$level] $message\n"

config :logger, :debug_log,
  path: "logs/kstart.log",
  level: :debug

config :logger, :info_log,
  path: "logs/kstart_info.log",
  level: :info

config :logger, :error_log,
  path: "logs/kstart_error.log",
  level: :error

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

config :mnesia, :dir, System.get_env("MNESIA_DATA_DIRECTORY") || 'data'

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
